<?php 
defined('MOODLE_INTERNAL') || die;
if ($ADMIN->fulltree){
    // menu's position setting
	//if the number of menu would be increase then the query would be change
    //TODO  in the condition array another condition would be apply
    // this else if code should be in short form
	$settings->add(new admin_setting_heading('theme_sencillo_layout_header', get_string('pagelayoutsettings', 'theme_sencillo'), ''));
    // Display logo or heading
    $name = 'theme_sencillo/displaylogo';
    $title = get_string('displaylogo','theme_sencillo');
    $description = get_string('displaylogodesc', 'theme_sencillo');
    $default = '0';
    $choices = array(0=>get_string('heading', 'theme_sencillo'), 1=>get_string('mylogo', 'theme_sencillo'));
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $settings->add($setting); 
    
    // Logo file setting
    $name = 'theme_sencillo/logo';
    $title = get_string('logo','theme_sencillo');
    $description = get_string('logodesc', 'theme_sencillo');
    $default = '';
    $setting = new admin_setting_configtext($name, $title, $description, $default, PARAM_URL);
    $settings->add($setting);
    
    
    // Tag line setting
	$name = 'theme_sencillo/tagline';
	$title = get_string('tagline','theme_sencillo');
	$description = get_string('taglinedesc', 'theme_sencillo');
	$setting = new admin_setting_configtext($name, $title, $description, '');
	$settings->add($setting);
	
	// Show user profile picture
    $name = 'theme_sencillo/showuserpicture';
    $title = get_string('showuserpicture','theme_sencillo');
    $description = get_string('showuserpicturedesc', 'theme_sencillo');
    $default = 0;
    $choices = array(0=>'No', 1=>'Yes');
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $settings->add($setting);

    
$settings->add(new admin_setting_heading('theme_sencillo_color_setting', get_string('colorsettings', 'theme_sencillo'), '')); 

	// page header background colour setting
    $name = 'theme_sencillo/headerbgc';
    $title = get_string('headerbgc','theme_sencillo');
    $description = get_string('headerbgcdesc', 'theme_sencillo');
    $default = '#fbbc00';
    $setting = new admin_setting_configcolourpicker($name, $title, $description, $default);
    $settings->add($setting);
    
    // page menu background colour setting
    $name = 'theme_sencillo/menubgc';
    $title = get_string('menubgc','theme_sencillo');
    $description = get_string('menubgcdesc', 'theme_sencillo');
    $default = '#831107';
    $setting = new admin_setting_configcolourpicker($name, $title, $description, $default);
    $settings->add($setting);

    
    // link color setting
	$name = 'theme_sencillo/linkcolor';
	$title = get_string('linkcolor','theme_sencillo');
	$description = get_string('linkcolordesc', 'theme_sencillo');
	$default = '#ff6600';
	$previewconfig = NULL;
	$setting = new admin_setting_configcolourpicker($name, $title, $description, $default, $previewconfig);
	$settings->add($setting);

    //Block heading color setting
    $name = 'theme_sencillo/blockhedingbgc';
    $title = get_string('blockheadingbgc','theme_sencillo');
    $description = get_string('blockheadingbgcdesc', 'theme_sencillo');
    $default = '#ad957a';
    $setting = new admin_setting_configcolourpicker($name, $title, $description, $default);
    $settings->add($setting);

    //Block content background colour setting
    $name = 'theme_sencillo/blockcontentbgc';
    $title = get_string('blockcontentbgc','theme_sencillo');
    $description = get_string('blockcontentbgcdesc', 'theme_sencillo');
    $default = '#e8e0cb';
    $setting = new admin_setting_configcolourpicker($name, $title, $description, $default);
    $settings->add($setting);
    
     // page footer background colour setting
    $name = 'theme_sencillo/footerbgc';
    $title = get_string('footerbgc','theme_sencillo');
    $description = get_string('footerbgcdesc', 'theme_sencillo');
    $default = '#000';
    $setting = new admin_setting_configcolourpicker($name, $title, $description, $default);
    $settings->add($setting);
	
    
}

?>